Bug 996078 - [AMQP 1.0] broker crashes when subscribe fails on subscription queue
[AMQP 1.0] broker crashes when subscribe fails on subscription queue
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-08-12 07:22 EDT by Gordon Sim
Modified: 2015-01-21 07:54 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:54:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5061 None None None Never

  None (edit)
Description Gordon Sim 2013-08-12 07:22:10 EDT
Description of problem:

If the subscribe fails for a subscription queue (i.e. in attaching a receiver link from an exchange), the broker crashes.

Version-Release number of selected component (if applicable):

qpid-0.24rc1

How reproducible:

100%

Steps to Reproduce:
1. qpid-receive --connection-options {protocol:amqp1.0,connection_id:abc} --address 'amq.fanout; {link:{name:def}}'
2. start another receiver with exact same options as above

Actual results:

broker crashes

Expected results:

broker doesn't crash; second attempt fails with error message

Additional info:
Comment 1 Gordon Sim 2013-08-12 07:22:55 EDT
Fixed upstream: https://svn.apache.org/r1512218
Comment 3 Petr Matousek 2014-02-13 11:08:36 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

note: The link name must be unique within the container but the same link name may be used when using different containers. 

packages under test:
qpid-cpp-*-0.22-35

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.